{ nixpkgs ? import <nixpkgs> {} }: with nixpkgs;
stdenv.mkDerivation rec {
  name = "gogs-${version}";
  version = "0.6.9";

  src = fetchzip {
    url = "https://github.com/gogits/gogs/releases/download/v${version}/linux_amd64.zip";
    sha256 = "14aim9mww6ypz1y7n8x2vwbl98p6ga8l2z6b6ndmds5i6x3m3bxv";
  };

  buildPhase = ''
    patchelf \
      --set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" \
      --set-rpath ${pam}/lib \
      gogs
  '';

  installPhase = ''
    cp -ra ./ $out/
  '';
}
